program T_PlotStdGraf1

use std_type
use japi
use Japigraf2
use rgbcolor2

type(ViewPortInfo) :: infVP
real(kind=DP) :: OdX = 0.4, DoX = 10.0, OdY = 0.0, DoY = 0.011
real(kind=DP) :: hKrokX = 1.0, hKrokY = 0.003 
type(UPinfo) :: infoPA1, infoCA1

call StartJapi()

call NastavStdGraf(infVP,OdX,DoX,OdY,DoY,"Test 1",.true.,.true.,&
				KrokX=hKrokX, KrokY=hKrokY,DilkuX=4,DilkuY=3,&
				Nadpis="Test procedury NastavStdGraf",&
				PopisX="Osa X", PopisY="Osa Y",&
				Grid = .true.)

call UPolyLine(infVP,(/Ubod(OdX,DoY),Ubod(DoX,DoY),Ubod(DoX,OdY)/),orange)
call Uline(infVP,Ubod(OdX,OdY),Ubod(DoX,DoY),red)
call PlotSymbol5(infVP,Ubod(DoX,DoY),plus5,Red)




call StartStdMenu(infVP) ! Stisk KONEC tady jen pokracuje dalsi instrukci

call Uline(infVP,Ubod(OdX,OdY),Ubod(DoX,DoY),blue)

call StartStdMenu(infVP)


end program T_PlotStdGraf1
